#include <hmg.ch>
#include "hfcl.ch"

PROCEDURE Main()
 
   define window main at 0, 0 width 300 height 300 main title 'HMG HPDF Document'
      define button create
         row 100
         col 100
         caption 'HMG HPDF DOC'
         action pdf_create()
      end button
   end window
   main.center
   main.activate

Return

PROCEDURE pdf_create

   local lSuccess := .f.
   local jacinto := .T.
   local cLB := chr( 10 )
   local minus := 120
   
   SELECT HPDFDOC 'DEMO.pdf' TO lSuccess papersize HPDF_PAPER_A4
   SET HPDFDOC COMPRESS ALL
   SET HPDFINFO AUTHOR      TO 'Eduardo'
   SET HPDFINFO CREATOR     TO 'Eduardo L.'
   SET HPDFINFO TITLE       TO 'Demo Fonts'
   SET HPDFINFO SUBJECT     TO 'Fonts on PDF'
   SET HPDFINFO KEYWORDS    TO 'Mol'
   SET HPDFINFO DATECREATED TO date() TIME time()
   
   if lSuccess
      START HPDFDOC

      SET HPDFDOC ENCODING TO "CP1252"

         START HPDFPAGE

            @ 20, 25 HPDFPRINT "Letra Arial comn" TO 20, 95 font 'ARIAL.TTF' size 12 CENTER
            @ 25, 25 HPDFPRINT "Letra Arial narrow" TO 25, 95 font 'ARIALN.TTF' size 12 COLOR { 128, 0, 0, } CENTER

         END HPDFPAGE
         
      END HPDFDOC
   endif   

   EXECUTE file 'DEMO.pdf' 

   
return nil

